@keyframes slideshowTextRiseUp {
    0% {
        opacity: 0;
        transform: translateY(120%);
    }

    to {
        opacity: 1;
        transform: translateY(0%);
    }
}

.video-slideshow {
    display: block;
    position: relative;

    --control-item-color: 255, 255, 255;
}

@media screen and (max-width: 959px) {

    /* The text is below the image */
    .video-slideshow-layout--text-bottom,
    .video-slideshow-layout--text-overlap {
        --control-item-color: var(--color-text);
    }

    .video-slideshow-layout--text-bottom.video-slideshow--mobile-fullscreen .video-slideshow__slider,
    .video-slideshow-layout--text-overlap.video-slideshow--mobile-fullscreen .video-slideshow__slider {
        height: calc(var(--video-slideshow-mobile-height, "auto") - 80px);
    }

    .video-slideshow-layout--text-bottom.video-slideshow--mobile-fullscreen .video-slideshow__slide,
    .video-slideshow-layout--text-overlap.video-slideshow--mobile-fullscreen .video-slideshow__slide {
        display: flex;
        flex-direction: column;
    }

    .video-slideshow-layout--text-bottom.video-slideshow--mobile-fullscreen .video-slideshow-slide__media,
    .video-slideshow-layout--text-overlap.video-slideshow--mobile-fullscreen .video-slideshow-slide__media {
        flex: 1 0 0;
    }

    .video-slideshow-layout--text-bottom .video-slideshow__slider,
    .video-slideshow-layout--text-overlap .video-slideshow__slider {
        height: auto;
    }

    .video-slideshow-layout--text-bottom .video-slideshow-slide__media,
    .video-slideshow-layout--text-overlap .video-slideshow-slide__media {
        height: var(--video-slideshow-mobile-height, "auto");
    }

    .video-slideshow-layout--text-bottom .video-slideshow-slide__text-wrapper,
    .video-slideshow-layout--text-overlap .video-slideshow-slide__text-wrapper {
        --video-slideshow-text-color: var(--video-slideshow-text-color--mb);

        position: relative;
        height: auto;
        color: var(--video-slideshow-text-color);
        background-color: var(--video-slideshow-text-area-bg-color);
    }

    .video-slideshow-layout--text-bottom .video-slideshow__slide--adapt,
    .video-slideshow-layout--text-overlap .video-slideshow__slide--adapt {
        display: flex;
        flex-direction: column;
        align-self: stretch;
    }

    .video-slideshow-layout--text-bottom .video-slideshow__slide--adapt .video-slideshow-slide__media,
    .video-slideshow-layout--text-overlap .video-slideshow__slide--adapt .video-slideshow-slide__media {
        flex: 1 0 0;
    }

    .video-slideshow-layout--text-bottom .video-slideshow__control--dots,
    .video-slideshow-layout--text-overlap .video-slideshow__control--dots {
        bottom: 10px;
    }

    .video-slideshow-layout--text-bottom[current="1"] {
        --control-item-color: var(--video-slideshow-text-color-1, var(--color-text));
    }

    .video-slideshow-layout--text-bottom[current="2"] {
        --control-item-color: var(--video-slideshow-text-color-2, var(--color-text));
    }

    .video-slideshow-layout--text-bottom[current="3"] {
        --control-item-color: var(--video-slideshow-text-color-3, var(--color-text));
    }

    .video-slideshow-layout--text-bottom[current="4"] {
        --control-item-color: var(--video-slideshow-text-color-4, var(--color-text));
    }

    .video-slideshow-layout--text-bottom[current="5"] {
        --control-item-color: var(--video-slideshow-text-color-5, var(--color-text));
    }

    .video-slideshow-layout--text-bottom .video-slideshow-slide__text-wrapper {
        padding: 0 0 40px 0;
    }

    .video-slideshow-layout--text-bottom .video-slideshow-slide__text {
        padding: 30px 0;
    }

    .video-slideshow-layout--text-overlap .video-slideshow-slide__text-wrapper {
        background-color: rgb(var(--color-page-background));
        padding: 0 20px 40px;
    }

    .video-slideshow-layout--text-overlap .video-slideshow-slide__text {
        width: 100%;
        max-width: unset;
        padding-left: 30px;
        padding-right: 30px;
        background-color: var(--video-slideshow-text-area-bg-color);
        margin-top: -40px;
    }
}

.video-slideshow__slider {
    display: flex;
    align-items: stretch;
    flex-wrap: nowrap;
    height: var(--video-slideshow-pc-height, "auto");
}

@media screen and (max-width: 959px) {
    .video-slideshow__slider {
        height: var(--video-slideshow-mobile-height, "auto");
    }
}

.video-slideshow__slide {
    position: relative;
    width: 100%;
    overflow: hidden;
}

.video-slideshow__slide--adapt .video-slideshow-slide__image,
.video-slideshow__slide--adapt .video-slideshow-slide__image-placeholder {
    position: absolute;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
}

.video-slideshow-slide__media {
    position: relative;
    width: 100%;
    height: 100%;
}

a.video-slideshow-slide__media {
    display: block;
}

.video-slideshow-slide__media::after {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: calc(var(--video-slideshow-overlay-opacity, 0) / 100);
    background-color: #000;
    display: block;
    content: "";
    z-index: 1;
}

.video-slideshow-slide__image {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: var(--image-show-position, center);
}

.video-slideshow-slide__image-placeholder {
    position: relative;
    width: 100%;
    height: 100%;
    min-height: 450px;
    background-color: rgb(var(--color-image-background));
}

.video-slideshow-slide__image-placeholder>svg {
    display: block;
    height: 100%;
    max-height: 800px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

@media screen and (max-width: 959px) {
    .video-slideshow-slide__image-placeholder {
        min-height: 250px;
    }

    .video-slideshow-slide__image-placeholder>svg {
        height: 80%;
    }
}

.video-slideshow-slide__text-wrapper {
    pointer-events: none;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 2;
    color: var(--video-slideshow-pc-text-color, var(--color-text));

    display: flex;

    padding: 0 15%;
}

.video-slideshow-slide__text {
    position: relative;
    width: auto;
    max-width: 54.5rem;
    text-align: var(--video-slideshow-pc-text-align, "center");
    padding: 45px 0;
    display: grid;
    grid-template-columns: 1fr;
    align-items: stretch;
    gap: 8px;
    opacity: 0;
    transform: translateY(100%);
    transition: all 1s ease;
}

.active.video-slideshow-slide__text {
    opacity: 1;
    transform: translateY(0%);
    transition: all 1s ease;
}

.video-slideshow-slide__text>[data-animation] {
    opacity: 0;
    transform: translateY(120%);
}

@media screen and (max-width: 959px) {
    .video-slideshow-slide__text {
        padding: 30px 0;
    }
}

.video-slideshow-slide__title {
    font-size: var(--video-slideshow-title-size);
    line-height: 1.25;
    font-family: 'GT America Bold' !important;
}

@media screen and (max-width: 959px) {
    .video-slideshow-slide__title {
        font-size: 30px;
    }
}

@media screen and (max-width: 959px) {
    .video-slideshow-slide__text-wrapper {
        align-items: center;
        justify-content: center;
    }

    .video-slideshow-slide__text {
        text-align: var(--video-slideshow-mobile-text-align, "center");
    }
}

.video-slideshow-slide__buttons {
    margin-top: 0;
}

.video-slideshow-slide__button {
    pointer-events: auto;
    opacity: 0;
    animation-duration: 2s;
    animation-timing-function: ease;
    animation-delay: 1s;
    animation-fill-mode: forwards;
}

/* override the global button style */

.video-slideshow-slide__button.button--secondary {
    background-color: transparent;
}

.video-slideshow-slide__button:not(.button--link)::after {
    box-shadow: 0 0 0 var(--btn-border-thickness) rgba(var(--video-slideshow-btn-border-color, var(--color-button-text)),
            var(--border-opacity)),
        0 0 0 var(--btn-border-thickness) rgba(var(--color-button-background), var(--alpha-button-background));
}

.video-slideshow-slide__button:hover:not(.button--link)::after {
    box-shadow: 0 0 0 calc(var(--btn-border-thickness) + 1px) rgba(var(--video-slideshow-btn-border-color), var(--border-opacity)),
        0 0 0 calc(var(--btn-border-thickness) + 1px) rgba(var(--color-button-background), var(--alpha-button-background));
}

.video-slideshow-slide__button+.video-slideshow-slide__button {
    margin-left: 14px;
    animation-delay: 1.3s;
}

.video-slideshow-slide__sub-title,
.video-slideshow-slide__desc {
    margin: 0;
}

.button.video-slideshow-slide__button::after,
.button.video-slideshow-slide__button::before {
    content: none;
}

.video-slideshow-slide__buttons .video-slideshow-slide__button {
    padding: 10px;
    height: 52px;
    min-width: 186px;
    font-size: 20px;
    line-height: 1.2;
    font-family: 'GT America-Regular';
    opacity: 1;
}

.video-slideshow-slide__buttons .video-slideshow-slide__button.button--secondary {
    border: 2px solid #fff;
    color: #fff;
}

.video-slideshow-slide__desc {
    margin: 0;
    font-family: 'GT America-Regular';
    font-size: 20px;
    line-height: 1.35;
    text-transform: capitalize;
}

@media screen and (max-width: 960px) {
    .video-slideshow-slide__desc {
        font-size: 13px;
        line-height: 1.41;
    }
}

.is-active .video-slideshow-slide__text>[data-animation] {
    animation: slideshowTextRiseUp 0.8s cubic-bezier(0.26, 0.54, 0.32, 1) forwards;
}

.is-active .video-slideshow-slide__text .video-slideshow-slide__sub-title,
.is-active .video-slideshow-slide__text .video-slideshow-slide__desc {
    animation-delay: 0.6s;
}

.is-active .video-slideshow-slide__button {
    /* animation-name: fadeIn; */
}

.video-slideshow__control {
    position: absolute;
    z-index: 2;
}

/* Arrow style switcher */

.video-slideshow__control--arrows {
    bottom: 0;
    right: 40px;
    transform: translateY(50%);
}

.control__arrow-buttons {
    display: flex;
    align-items: center;
    align-items: center;
    gap: 10px;
}

.control__arrow-button {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 40px;
    height: 40px;
    padding: 0;
    border-radius: 50%;
    cursor: pointer;
    position: relative;
    background-color: rgba(var(--color-page-background));
    color: inherit;
    box-shadow: 0 5px 5px rgb(0 0 0 / 10%);
    transition: transform 0.3s;
    border: none;
}

.control__arrow-button:hover {
    transform: scale(1.12);
}

.control__arrow-button[name="previous"] {
    transform: rotate(90deg);
    box-shadow: 5px 0 5px rgb(0 0 0 / 10%);
}

.control__arrow-button[name="previous"]:hover {
    transform: rotate(90deg) scale(1.12);
}

.control__arrow-button[name="next"] {
    transform: rotate(-90deg);
    box-shadow: -5px 0 5px rgb(0 0 0 / 10%);
}

.control__arrow-button[name="next"]:hover {
    transform: rotate(-90deg) scale(1.12);
}

@media screen and (max-width: 959px) {
    .video-slideshow__control--arrows {
        right: 20px;
    }

    .control__arrow-button {
        width: 32px;
        height: 32px;
    }
}

/* Progress bar style switcher */

.video-slideshow__control--bars {
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
}

.control__bars {
    display: flex;
    align-items: stretch;
    height: 6px;
    gap: 10px;
}

.control__bar {
    position: relative;
    display: block;
    width: 120px;
    height: 100%;
    cursor: pointer;
    border: none;
    padding: 0;
    background-color: rgba(var(--control-item-color, 255, 255, 255), 0.4);
    transition: background 0.3s;
    overflow: hidden;
}

.control__bar:hover,
.control__bar:active {
    background-color: rgba(var(--control-item-color, 255, 255, 255));
}

@keyframes slideshowBars {
    0% {
        transform: translateX(-100%);
    }

    to {
        transform: translateX(0);
    }
}

.control__bar::after {
    content: "";
    display: block;
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background-color: rgba(var(--control-item-color, 255, 255, 255));
    transform: translateX(-100%);
}

[autoplay="true"] .control__bar:target::after,
[autoplay="true"] .control__bar.is-active::after {
    animation: slideshowBars var(--video-slideshow-speed, 0s) linear forwards;
}

[autoplay="false"] .control__bar:target::after,
[autoplay="false"] .control__bar.is-active::after {
    transform: translateX(0);
}

@media screen and (max-width: 959px) {
    .control__bar {
        width: 60px;
    }
}

/** Small dot style switcher */

.video-slideshow__control--dots {
    bottom: 20px;
    left: 50%;
    transform: translateX(-50%);
}

.control__dots {
    display: flex;
    align-items: center;
    gap: 5px;
}

.control__dot {
    display: block;
    padding: 0;
    width: 8px;
    height: 8px;
    border: none;
    border-radius: 0%;
    opacity: 0.32;
    background-color: #fff;
    transition: background 0.3s;
    cursor: pointer;
}

.video-slideshow-slide__media video {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

.control__dot.is-active {
    width: 52px;
    height: 8px;
    cursor: default;
    opacity: 1;
}

.control__dot:hover,
.control__dot:active,
.control__dot:target,
.control__dot.is-active {
    background-color: rgb(var(--control-item-color, 255, 255, 255));
}

.video-slideshow-slide__text-mask {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    width: 493px;
    height: 406px;
}

.video-slideshow-slide__text-mask.mask-deep {
    border-radius: 50%;
    background: radial-gradient(77.64% 77.64% at 50% 50%,
            rgba(0, 0, 0, 0.3) 59.64%,
            rgba(0, 0, 0, 0) 100%);
    filter: blur(120px);
}

.video-slideshow-slide__text-mask.mask-light {
    border-radius: 50%;
    background: radial-gradient(77.64% 77.64% at 50% 50%,
            rgba(255, 255, 255, 0.3) 59.64%,
            rgba(255, 255, 255, 0) 100%);
    filter: blur(120px);
}

@media screen and (max-width: 959px) {
    .video-slideshow-slide__text-mask {
        width: 355px;
        height: 292px;
    }

    .video-slideshow-slide__text-wrapper {
        align-items: var(--video-slideshow-mobile-text-position-vertical, "center");
        justify-content: var(--video-slideshow-mobile-text-position-horizontal, "center");
    }
}

@media screen and (min-width: 960px) {
    .video-slideshow-slide__text-wrapper {
        align-items: var(--video-slideshow-pc-text-position-vertical, "center");
        justify-content: var(--video-slideshow-pc-text-position-horizontal, "center");
    }

    .video-slideshow-slide__text-max-width {
        padding: 0 var(--pc-content-padding, 15%);
    }

    .video-slideshow-slide__text-max-width .video-slideshow-slide__text {
        width: var(--pc-content-width);
        max-width: 540px;
        gap: 26px;
    }
}

/* The ipad end responds to the mobile end in vertical screen */

/* @custom-media --tablet (max-width: 959px); */

/* @custom-media --gt-mobile (min-width: 751px); */

/* detectingScreen need to consider the configuration of the tablet */



@media(max-width:749px) {
    .video-slideshow-slide__text-wrapper {
        padding: 20px;
    }

    .video-slideshow-slide__buttons .video-slideshow-slide__button {
        padding: 5px;
        height: 30px;
        min-width: 116px;
        font-size: 12px;
    }

    .video-slideshow-slide__buttons .video-slideshow-slide__button.button--secondary {
        margin-left: 8px;
    }

    .control__dot {
        width: 6px;
        height: 5px;
    }

    .control__dot.is-active {
        width: 28px;
        height: 6px;
    }
}

@media(max-width:480px) {
    .video-slideshow-slide__title br {
        display: none;
    }
}